local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

-- Fel Hellweaver
do
	local data = {
		version = 1,
		key = "hellfiretrash",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = format(L.alert["[T] %s"],L.npc_HellfireCitadel["Fel Hellweaver"]),
		triggers = {
			scan = {94806}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {94806},
		--	defeat = 78978,
		},
		windows = {
			proxwindow = true,
		},
		userdata = {
		},		
		onstart = {
			{

			},
		},
		alerts = {
			-- Inform
			iOrbofDestruction = {
				varname = format(L.alert["%s %s, %s!"],SN[188072],L.alert["under you"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s, %s!"],SN[188072],L.alert["under you"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[188072],
				sound = "ALERT12",
				desc = 188072,
				flashscreen = true,
				throttle = 1.5,
			},	
		},
		events = {
			-- Orb of Destruction
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_DAMAGE",
				spellid = {188072},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iOrbofDestruction",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_MISSED",
				spellid = {188072},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iOrbofDestruction",
					},
				},
			},	
		},
	}

	DXE:RegisterEncounter(data)
end

-- Fiery Enkindler
do
	local data = {
		version = 1,
		key = "hellfiretrash2",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = format(L.alert["[T] %s"],L.npc_HellfireCitadel["Fiery Enkindler"]),
		triggers = {
			scan = {94284}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {94284},
		--	defeat = 78978,
		},
		windows = {
			proxwindow = true,
		},
		userdata = {
		},	
		messages = {
			mFocusedFire = {
				varname = format(L.alert["%s %s %s"],SN[187110],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[187110],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 187110,
				icon = ST[187110],
				throttle = 3,
			},
		},
		announces = { 
			FocusedFiresay = {
				varname = format(L.alert["%s %s %s!"],SN[187110],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[187110],L.alert["on"],L.alert["Me"]),
				desc = 187110,
				icon = ST[187110],
				--flashcolor = "RED",
				--flashscreen = true,
			},
		},		
		onstart = {
			{

			},
		},
		alerts = {
			-- Debuff
			FocusedFireDebuff = {
				varname = format(L.alert["%s Debuff"],SN[187110]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[187110]),
				text2 = format(L.alert["#5#: %s"],SN[187110]),
				time = 12,
				color1 = "RED",
				desc = 187110,
				icon = ST[187110],
				tag = "#5#",
				exdps = true,				
			},	
		},
		events = {
			-- FocusedFire
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {187110},
				execute = {
					{
						"message","mFocusedFire",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","FocusedFireDebuff",
						"announce","FocusedFiresay",
						"openwindow",{"5",nil,false,187110},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"FocusedFireDebuff", text = 2},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {187110},
				execute = {
					{
						"quash","FocusedFireDebuff",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"closewindow",{true},
					},
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end

-- Graggra
do
	local data = {
		version = 1,
		key = "hellfiretrash3",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = format(L.alert["[T] %s"],L.npc_HellfireCitadel["Graggra"]),
		triggers = {
			scan = {94995}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {94995},
		--	defeat = 94995,
		},
		windows = {
			proxwindow = true,
		},
		userdata = {
		},	
		messages = {
			mBadBreath = {
				varname = format(L.alert["%s %s %s (1)"],SN[188476],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5# (1)"],SN[188476],L.alert["on"]),
				text2 = format(L.alert["%s %s #5# (#11#)"],SN[188476],L.alert["on"]),
				color1 = "PURPLE",
				sound = "ALERT13",
				desc = 188476,
				icon = ST[188476],
				counter2 = true,
				throttle = 2.5,
			},
			mGraggraSmash = {
				varname = format(L.alert["%s %s %s"],SN[188510],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[188510],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 188510,
				icon = ST[188510],
				counter2 = true,
				throttle = 2.5,
			},			
		},
		announces = { 
			GraggraSmashsay = {
				varname = format(L.alert["%s %s %s!"],SN[188510],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[188510],L.alert["on"],L.alert["Me"]),
				desc = 188510,
				icon = ST[188510],
				--flashcolor = "RED",
				--flashscreen = true,
			},
		},		
		onstart = {
			{

			},
		},
		alerts = {
			-- Warning
			wBadBreath = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[188476]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[188476]),
				time = 2,
				color1 = "RED",
				icon = ST[188476],
				sound = "ALERT13",
				desc = 188476,
				--flashscreen = true,
			},	
			iBlazingFelTouch = {
				varname = format(L.alert["%s %s %s!"],SN[188448],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[188448],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[188448],
				sound = "ALERT9",
				desc = 188448,
			},			
			-- Debuff
			BadBreathDebuff = {
				varname = format(L.alert["%s Debuff"],SN[188476]),
				type = "debuff",
				text = format(L.alert["(1) %s: %s"],L.alert["YOU"],SN[188476]),
				text2 = format(L.alert["(1) #5#: %s"],SN[188476]),
				text3 = format(L.alert["(#11#) %s: %s"],L.alert["YOU"],SN[188476]),
				text4 = format(L.alert["(#11#) #5#: %s"],SN[188476]),
				time = 20,
				color1 = "PURPLE",
				desc = 188476,
				icon = ST[188476],
				tag = "#5#",
				exdps = true,				
			},
			GraggraSmashDebuff = {
				varname = format(L.alert["%s Debuff"],SN[188510]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[188510]),
				text2 = format(L.alert["#5#: %s"],SN[188510]),
				time = 5,
				color1 = "RED",
				desc = 188510,
				icon = ST[188510],
				tag = "#5#",
				exdps = true,				
			},			
		},
		events = {
			-- BadBreath
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {188476},
				execute = {	
					{
						"alert","wBadBreath",
					},					
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {188476},
				execute = {
					{
						"expect",{"&istank|#5#&","==","true"},
						"invoke",{
							{
								"message","mBadBreath",
							},
							{
								"expect",{"#4#","==","&playerguid&"},
								"alert","BadBreathDebuff",
							},
							{
								"expect",{"#4#","~=","&playerguid&"},
								"alert",{"BadBreathDebuff", text = 2},
							},
						},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {188476},
				execute = {
					{
						"expect",{"&istank|#5#&","==","true"},
						"invoke",{
							{
								"message",{"mBadBreath", text = 2},
							},
							{
								"expect",{"#4#","==","&playerguid&"},
								"alert",{"BadBreathDebuff", text = 3},
							},
							{
								"expect",{"#4#","~=","&playerguid&"},
								"alert",{"BadBreathDebuff", text = 4},
							},
						},
					},
				},
			},			
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {188476},
				execute = {
					{
						"quash","BadBreathDebuff",
					},
				},
			},	
			-- BlazingFelTouch
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {188448},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iBlazingFelTouch",
						"openwindow",{"5",nil,false,188448},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {188448},
				dstisplayerunit = true,
				execute = {
					{
						"closewindow",{true},
					},
				},
			},	
			-- GraggraSmash
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {188510},
				execute = {
					{
						"message","mGraggraSmash",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","GraggraSmashsay",
						"alert","GraggraSmashDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"GraggraSmashDebuff", text = 2},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {188448},
				execute = {
					{
						"quash","GraggraSmashDebuff",
					},
				},
			},				
		},
	}

	DXE:RegisterEncounter(data)
end

-- Bleeding Darkcaster
do
	local data = {
		version = 1,
		key = "hellfiretrash4",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = format(L.alert["[T] %s"],L.npc_HellfireCitadel["Bleeding Darkcaster"]),
		triggers = {
			scan = {92041}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {92041},
		--	defeat = 78978,
		},
		windows = {
			proxwindow = true,
		},
		userdata = {
		},	
		messages = {
			mDarkFate = {
				varname = format(L.alert["%s %s %s"],SN[182644],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[182644],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 182644,
				icon = ST[182644],
				throttle = 2.5,
			},
		},
		announces = { 
			DarkFatesay = {
				varname = format(L.alert["%s %s %s!"],SN[182644],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[182644],L.alert["on"],L.alert["Me"]),
				desc = 182644,
				icon = ST[182644],
				--flashcolor = "RED",
				--flashscreen = true,
			},
		},		
		onstart = {
			{

			},
		},
		alerts = {
			-- Debuff
			DarkFateDebuff = {
				varname = format(L.alert["%s Debuff"],SN[182644]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[182644]),
				text2 = format(L.alert["#5#: %s"],SN[182644]),
				time = 15,
				color1 = "RED",
				desc = 182644,
				icon = ST[182644],
				tag = "#5#",
				exdps = true,				
			},	
		},
		events = {
			-- DarkFate
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {182644},
				execute = {
					{
						"message","mDarkFate",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","DarkFateDebuff",
						"announce","DarkFatesay",
						"openwindow",{"10",nil,false,182644},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"DarkFateDebuff", text = 2},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {182644},
				execute = {
					{
						"quash","DarkFateDebuff",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"closewindow",{true},
					},
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end

-- Salivating Bloodthirster
do
	local data = {
		version = 1,
		key = "hellfiretrash5",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = format(L.alert["[T] %s"],L.npc_HellfireCitadel["Salivating Bloodthirster"]),
		triggers = {
			scan = {92038}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {92038},
		--	defeat = 92038,
		},
		windows = {
			proxwindow = true,
		},
		userdata = {
		},		
		onstart = {
			{

			},
		},
		alerts = {
			-- Inform
			iRendingHowl = {
				varname = format(L.alert["%s: %s %s!"],SN[189612],L.alert["INTERRUPT"],L.alert["Boss"]),
				type = "inform",
				text = format(L.alert["%s: %s #2#!"],SN[189612],L.alert["INTERRUPT"]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[189612],
				sound = "ALERT11",
				desc = 189612,
				flashscreen = true,
				exhealer = true,
			},
		},
		events = {
			-- RendingHowl
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {189612},
				execute = {	
					{
						"expect",{"&interrupt|#1#&","==","true"},
						"alert","iRendingHowl",
					},			
				},
			},		
		},
	}

	DXE:RegisterEncounter(data)
end

-- Construct Peacekeeper
do
	local data = {
		version = 1,
		key = "hellfiretrash6",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = format(L.alert["[T] %s"],L.npc_HellfireCitadel["Construct Peacekeeper"]),
		triggers = {
			scan = {95630}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {95630},
		--	defeat = 95630,
		},
		windows = {
			proxwindow = true,
		},
		userdata = {
		},			
		onstart = {
			{

			},
		},
		alerts = {
			wProtocolCrowdControl = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[189595]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[189595]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[189595],
				sound = "ALERT10",
				desc = 189595,
			},	
		},
		events = {
			-- ProtocolCrowdControl
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {189595},
				execute = {	
					{
						"alert","wProtocolCrowdControl",
					},			
				},
			},		
		},
	}

	DXE:RegisterEncounter(data)
end

-- Binder Eloah
do
	local data = {
		version = 1,
		key = "hellfiretrash7",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = format(L.alert["[T] %s"],L.npc_HellfireCitadel["Binder Eloah"]),
		triggers = {
			scan = {95614}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {95614},
		--	defeat = 95614,
		},
		windows = {
			proxwindow = true,
		},
		userdata = {
		},	
		messages = {
			mSeverSoul = {
				varname = format(L.alert["%s %s %s"],SN[189533],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[189533],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 189533,
				icon = ST[189533],
				throttle = 2.5,
			},
		},	
		onstart = {
			{

			},
		},
		alerts = {
			-- Debuff
			SeverSoulDebuff = {
				varname = format(L.alert["%s Debuff"],SN[189533]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[189533]),
				text2 = format(L.alert["#5#: %s"],SN[189533]),
				time = 6,
				color1 = "RED",
				desc = 189533,
				icon = ST[189533],
				tag = "#5#",
				exdps = true,				
			},	
		},
		events = {
			-- SeverSoul
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {189533},
				execute = {
					{
						"message","mSeverSoul",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","SeverSoulDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"SeverSoulDebuff", text = 2},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {189533},
				execute = {
					{
						"quash","SeverSoulDebuff",
					},
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end

-- Adjunct Kuroh
do
	local data = {
		version = 1,
		key = "hellfiretrash8",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = format(L.alert["[T] %s"],L.npc_HellfireCitadel["Adjunct Kuroh"]),
		triggers = {
			scan = {91520}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {91520},
		--	defeat = 91520,
		},
		windows = {
			proxwindow = true,
		},
		userdata = {
		},	
		messages = {
			mSealOfDecay = {
				varname = format(L.alert["%s %s %s (1)"],SN[184986],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5# (1)"],SN[184986],L.alert["on"]),
				text2 = format(L.alert["%s %s #5# (#11#)"],SN[184986],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 184986,
				icon = ST[184986],
				counter2 = true,
				throttle = 2.5,
			},
		},	
		onstart = {
			{

			},
		},
		alerts = {
			-- Debuff
			SealOfDecayDebuff = {
				varname = format(L.alert["%s Debuff"],SN[184986]),
				type = "debuff",
				text = format(L.alert["(1) %s: %s"],L.alert["YOU"],SN[184986]),
				text2 = format(L.alert["(1) #5#: %s"],SN[184986]),
				text3 = format(L.alert["(#11#) %s: %s"],L.alert["YOU"],SN[184986]),
				text4 = format(L.alert["(#11#) #5#: %s"],SN[184986]),
				time = 5,
				color1 = "RED",
				desc = 184986,
				icon = ST[184986],
				tag = "#5#",
				exdps = true,				
			},
		},
		events = {
			-- SealOfDecay
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {184986},
				execute = {
					{
						"message","mSealOfDecay",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","SealOfDecayDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"SealOfDecayDebuff", text = 2},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {184986},
				execute = {
					{
						"message",{"mSealOfDecay", text = 2},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert",{"SealOfDecayDebuff", text = 3},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"SealOfDecayDebuff", text = 4},
					},
				},
			},			
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {184986},
				execute = {
					{
						"quash","SealOfDecayDebuff",
					},
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end

-- Dag'gorath
do
	local data = {
		version = 1,
		key = "hellfiretrash9",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = format(L.alert["[T] %s"],L.npc_HellfireCitadel["Dag'gorath"]),
		triggers = {
			scan = {92527}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {92527},
		--	defeat = 92527,
		},
		windows = {
			proxwindow = true,
		},
		userdata = {
		},	
		messages = {
			mDemonicSacrifice = {
				varname = format(L.alert["%s %s %s"],SN[186197],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[186197],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 186197,
				icon = ST[186197],
				throttle = 2.5,
			},
		},	
		announces = { 
			DemonicSacrificesay = {
				varname = format(L.alert["%s %s %s!"],SN[186197],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[186197],L.alert["on"],L.alert["Me"]),
				desc = 186197,
				icon = ST[186197],
				--flashcolor = "RED",
				--flashscreen = true,
			},
		},			
		onstart = {
			{

			},
		},
		alerts = {

		},
		events = {
			-- DemonicSacrifice
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {186197},
				execute = {
					{
						"message","mSealOfDecay",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","DemonicSacrificesay",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"SealOfDecayDebuff", text = 2},
					},
				},
			},		
		},
	}

	DXE:RegisterEncounter(data)
end